OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
AircraftVehicleInfo Struct Reference

Information about a aircraft vehicle. More...

`#include <engine_type.h>`

## Data Fields
byte | image_index
byte | cost_factor
byte | running_cost
byte | subtype
| Type of aircraft.
SoundID | sfx
byte | acceleration
uint16 | max_speed
| Maximum speed (1 unit = 8 mph = 12.8 km-ish/h)
byte | mail_capacity
| Mail capacity (bags).
uint16 | passenger_capacity
| Passenger capacity (persons).
uint16 | max_range
| Maximum range of this aircraft.

## Detailed Description

Information about a aircraft vehicle.

Definition at line 98 of file engine_type.h.

## Field Documentation

byte AircraftVehicleInfo::subtype

Type of aircraft.

See Also
  AircraftSubTypeBits

Definition at line 102 of file engine_type.h.

Referenced by AircraftVehicleChangeInfo(), CanVehicleUseStation(), CheckAutoreplaceValidity(), CmdBuildAircraft(), CmdBuildVehicle(), and FindNearestHangar().

The documentation for this struct was generated from the following file:

- src/engine_type.h